Class Specialization
Pizza & Chili Index
An adapter for the Pizza & Chili index API.

Index

Pizza & Chili Index

Index<TText, PizzaChili<TSpec> >
Include Headers
seqan/index.h
Parameters

TText | The text type. Types: String
TSpec | Tag specifying the Pizza & Chili index library to use. Types: Pizza & Chili Index Tags

Remarks
Specialization of
Index
Metafunctions

Fibre | Type of a specific index member (fibre). (Index)
SAValue | The default alphabet type of a suffix array, i.e. the type to store a position of a string or string set. (Index)

Functions

begin | The begin of a container. (Index)
clear | Resets an object. (Index)
end | The end of a container. (Index)
getFibre | Returns a specific Fibre of an Index object. (Index)
indexCreate | Creates a specific Fibre. (Index)
indexRequire | On-demand creation of a specific Fibre. (Index)
indexSupplied | Returns whether a specific Fibre is present. (Index)
length | The number of items/characters. (Index)
setHaystack | Sets the haystack of a Finder object. (Index)

Example Programs
Maximal Repeats, Index Finder StringSet, Mummy, Maximal Unique Matches, Index Finder, Pizza & Chili Index, Supermaximal Repeats
See Also
Pizza & Chili Index Tags, Index Find Algorithm, Pizza & Chili String, Pizza & Chili Index Fibres
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2012/03/14 16:34:51